<?php

if ( !function_exists( 'bp_core_add_nav_item' ) ) {
	function bp_core_add_nav_item( $name, $slug, $css_id = false, $show_for_displayed_user = true ) {
		bp_core_new_nav_item( array( 'name' => $name, 'slug' => $slug, 'item_css_id' => $css_id, 'show_for_displayed_user' => $show_for_displayed_user ) );
	}
}

if ( !function_exists( 'bp_core_add_nav_default' ) ) {
	function bp_core_add_nav_default() {
		return false;
	}
}

if ( !function_exists( 'bp_core_add_subnav_item' ) ) {
	function bp_core_add_subnav_item( $parent_id, $slug, $name, $link, $function, $css_id = false, $user_has_access = true, $admin_only = false ) {
		bp_core_new_subnav_item( array( 'name' => $name, 'slug' => $slug, 'parent_slug' => $parent_id, 'parent_url' => $link, 'item_css_id' => $css_id, 'user_has_access' => $user_has_access, 'site_admin_only' => $admin_only, 'screen_function' => $function ) );
	}
}

if ( !function_exists( 'bp_profile_wire_can_post' ) ) {
	function bp_profile_wire_can_post() {
		global $bp;

		if ( bp_is_my_profile() )
			return true;

		if ( function_exists('friends_install') ) {
			if ( friends_check_friendship( $bp->loggedin_user->id, $bp->displayed_user->id ) )
				return true;
			else
				return false;
		}

		return true;
	}
}

if ( !function_exists( 'bp_is_home' ) && function_exists( 'bp_is_my_profile' ) ) {
	function bp_is_home() { return bp_is_my_profile(); }
}

if ( !function_exists( 'bp_profile_wire_can_post' ) ) {
	function bp_profile_wire_can_post() {
		global $bp;

		if ( bp_is_my_profile() )
			return true;

		if ( function_exists('friends_install') ) {
			if ( friends_check_friendship( $bp->loggedin_user->id, $bp->displayed_user->id ) )
				return true;
			else
				return false;
		}

		return true;
	}
}

if ( !function_exists( 'bp_is_wire_component' ) ) {
	function bp_is_wire_component() {
		global $bp;

		if ( BP_WIRE_SLUG == $bp->current_action || in_array( BP_WIRE_SLUG, (array)$bp->action_variables ) )
			return true;

		return false;
	}
}

if ( !function_exists( 'bp_is_profile_wire' ) ) {
	function bp_is_profile_wire() {
		global $bp;

		if ( BP_XPROFILE_SLUG == $bp->current_component && 'wire' == $bp->current_action )
			return true;

		return false;
	}
}

if ( !function_exists( 'bp_is_group_wire' ) ) {
	function bp_is_group_wire() {
		global $bp;

		if ( BP_GROUPS_SLUG == $bp->current_component && $bp->is_single_item && 'wire' == $bp->current_action )
			return true;

		return false;
	}
}

?>